/**<pre>
 * Title: iSIM
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package transport;

import transport.protocol.*;


/* ====================================================================== */
/** This interface defines the methods that a SocketReceiverListener must
 *  implement.
 *
 */
public interface SocketReceiverListener{


    /* ===================================================================== */
    /** This method is for notifying the listener that a message has arrived.
     *
     *  @param  m   The message to give to listener.
     *
     */
	public void incomingMessage(Message m);


} //interface: SocketReceiverListener