/**<pre>
 * Title: iSIM
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package map;

import java.util.*;

/* ====================================================================== */
/** This class
 *
 *  This is where we will create layers of rooms
 */
public class Floor implements java.io.Serializable{


  	/** The list of openings in this building. */
  	private Vector rooms = new Vector();

	/**  The floor number. */
	private int number;


    /* ===================================================================== */
    /** This constructor initializes the
     *
     *
     */
  	public Floor(int n){

		number = n;

	} //Constructor




    /* ===================================================================== */
    /** This method returns the
     *
     *  @return
     *
     */
	public int getNumber(){

		return number;

	} //method:


    /* ===================================================================== */
    /** This method returns the
     *
     *  @return
     *
     */
	public Vector getRooms(){

		return rooms;

	} //method:



    /* ===================================================================== */
    /** This method sets the
     *
     *  @param
     *
     */
	public void addRoom(Room r){

		rooms.addElement(r);

	} //method:



} //class: Floor

